class MineSquare:
    def getFlagged(self):
	return self.m_flagged

    def getCovered(self):
	return self.m_covered

    def getMined(self):
	return self.m_mined

    def setMined(self, m):
	self.m_mined = m

    def setFlagged(self, f):
	self.m_flagged = f

    def setCovered(self, c):
	self.m_covered = c

    def setNeighbors(self, n):
	self.m_neighbors = n

    def getNeighbors(self):
	return self.m_neighbors

    def incrementNeighbors(self):
	self.m_neighbors = self.m_neighbors + 1

    def __init__(self, neigh = 0, flag = False, cov = True, mine = False):
	self.setNeighbors(neigh)
	self.setFlagged(flag)
	self.setCovered(cov)
	self.setMined(mine)
